import c4d
from c4d import gui
#Welcome to the world of Python


def main():
   
   #mats = doc.GetMaterials()    #tutti i materiali
    mats = doc.GetActiveMaterials()  # solo materiali selezionati
   
    if not mats:
        gui.MessageDialog('Select some materials')
        return
    k = 1
    doc.StartUndo()
    for mat in mats:
        name = mat.GetName()+" ID"+str(k)
        print name
        doc.AddUndo(c4d.UNDOTYPE_CHANGE,mat)
        mat[c4d.VRAYMATERIAL_ID] = k
        mat.SetName(name)
        k = k+1
    doc.EndUndo()
    c4d.EventAdd()

if __name__=='__main__':
    main()
